
QGIS Application - Bug report #254

Crash when opening GRASS mapset

2006-08-31 01:57 AM - anonymous -

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 10313

Description

Trying to open existing GRASS mapset results in QGIS crash.

Steps to reproduce:

1 Start qgis ;)

2 Select Plugins->GRASS->Open mapset

Result:

[[QgsGrassPlugin]]::openMapset()

[[QgsGrassSelect]]() type = 0

qgis: symbol lookup error: /usr/local/lib/qgis/grassplugin.so: undefined symbol: _ZN8QgsGrass8isMapsetE7QString

OS: Kubuntu, gcc version 4.0.3

QGIS: from SVN trunk (revision 5742)

GRASS: current 6.3cvs

GDAL/OGR: 1.3.1

History

#1 - 2006-08-31 02:31 AM - anonymous -

I fixed problem with 'rm -r ~/.config/QuantumGIS/'

I leave it open, as there still should be no segfault due old config file lying around. And - yes - I was lame enough not to create backup for old config file

before rm'ing it :(

#2 - 2006-11-09 06:02 AM - anonymous -

- Resolution set to invalid

- Status changed from Open to Closed

IMO it has nothing to do with config files because the error 'undefined symbol'
means that the method is not available in a library. That means the application

was not compiled/installed correctly. Most probably the plugin was recompiled 

with new version of libqgisgrass.so form provider lib, but that library was not 

installed.

Radim

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
